# 32/64 spec-file
#
%define name PlayOnLinux
%define version 4.2.10
%define release %mkrel 1

Summary: Play your Windows games on Linux
Summary(pl): Graj w Widnowsowe gry na Linuksie
Summary(de): Spielen Sie ihre Windows-Spiele unter Linux
Name: %{name}
Version: %{version}
Release: %{release}
License: GPLv3
Group: Games/Other
URL: http://www.playonlinux.com
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Source0:  %{name}/%{version}/%{name}_%{version}.tar.xz
Patch0:   PlayOnLinux_4.2.7-disable-GL-checks.patch
BuildRequires: desktop-file-utils
Requires: python 
Requires: python-base
Requires: python-httplib2 
Requires: dbus-python
Requires: wget 
Requires: lynx
Requires: xterm 
Requires: ImageMagick
Requires: gnome-python
Requires: gnome-python-extras
Requires: wine
Requires: wxPythonGTK
Requires: wxPythonGTK-wxversion
Requires: %{_lib}mesagl1 
Requires: %{_lib}mesaglu1
Requires: %{_lib}x11_6
Requires: gettext
Requires: cabextract
Requires: icoutils
Requires: gtknetcat
Requires: p7zip
Obsoletes:  %name < %version

%description
PlayOnLinux is a piece of sofware which allows you to easily install and use numerous
games and softwares designed to run with Microsoft®'s Windows®. Few games are compatible
with GNU/Linux at the moment and it certainly is a factor preventing the migration to this
system. PlayOnLinux brings an accessible and efficient solution to this problem, cost-free
and rescpetful of the free softwares.

%description -l de
PlayOnLinux ist eine Software, die es erlaubt Software zu installieren und zu nutzen,
die für Microsoft®'s Windows® erstellt wurde. Nur ein paar Spiele sind derzeitig kompatibel 
mit GNU/Linux und sicherlich ist das ein Grund dafür, dass nicht zu Linux gewechselt wird.
PlayOnLinux bringt eine offene und effiziente Lösung für dieses Problem, es ist kostenlos
und es ist eine freie Software.

%prep
%setup -q -n playonlinux
%patch0 -p0

%build

%install
export DONT_STRIP=1
rm -rf %{buildroot}

#launcher
rm -rf %{buildroot}
# launcher
mkdir -p %buildroot%_bindir
cat > %buildroot%_bindir/playonlinux << EOF
#!/bin/sh
cd %{_datadir}/games/playonlinux
./playonlinux "\$@"
cd /
EOF

chmod +x %{buildroot}%{_bindir}/playonlinux


install -dm 755 %{buildroot}%{_datadir}/applications
install -m 755 etc/PlayOnLinux.desktop %{buildroot}%{_datadir}/applications

sed -i 's/Application \%\F/Application/g' %{buildroot}%{_datadir}/applications/%{name}.desktop
sed -i 's/\/usr\/share\/playonlinux\/etc\/playonlinux.png/playonlinux/g' %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor="" \
    --remove-category="PlayOnLinux" \
   --add-category="Game"\
   --add-category="X-MandrivaLinux-MoreApplications-Emulators" \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

install -dm 755 %{buildroot}%{_datadir}/games/playonlinux
cp -af . %{buildroot}%{_datadir}/games/playonlinux

#icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 etc/playonlinux.png %{buildroot}%{_datadir}/pixmaps

#remove
rm -f %{buildroot}%{_datadir}/games/playonlinux/CHANGELOG
rm -f %{buildroot}%{_datadir}/games/playonlinux/LICENCE

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENCE CHANGELOG.md
%{_bindir}/playonlinux
%{_datadir}/applications/PlayOnLinux.desktop
%{_datadir}/pixmaps/playonlinux.png
%{_datadir}/games/playonlinux


%changelog
* Sat Jan 09 2016 bb <bb> 4.2.10-1pclos2016
- update

* Sun Sep 27 2015 ghostbunny <ghostbunny at gmx dot de> 4.2.9-1pclos2015
- 4.2.9

* Sat May 30 2015 ghostbunny <ghostbunny at gmx dot de> 4.2.8-1pclos2015
- 4.2.8

* Fri May 01 2015 ghostbunny <ghostbunny at gmx dot de> 4.2.7-1pclos2015
- 4.2.7
- rediff patch

* Mon Mar 02 2015 bb <bb> 4.2.6-1pclos2015
- update

* Tue Oct 07 2014 ghostbunny <ghostbunny at gmx dot de> 4.2.5-1pclos2014
- 4.2.5
- add missing R p7zip

* Sun Jul 27 2014 bb <bb> 4.2.4-1pclos2014
- update

